using System;

internal sealed class Delegate54 : MulticastDelegate
{
	public extern int Invoke(object object_0);

	public static int smethod_0(object object_0, Delegate54 delegate54_1)
	{
		return delegate54_1(object_0);
	}

	public extern Delegate54(object object_0, IntPtr intptr_0);

	static Delegate54()
	{
		Class10.smethod_13(typeof(Delegate54).TypeHandle);
	}

	internal static Delegate54 delegate54_0;
}
